- Qt 6.11
- Qt GUI
- C++ Classes
- QQuaternion
- Qt 6.11.2 Reference Documentation

# Obsolete Members for QQuaternion

The following members of class QQuaternion are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` void | getAxes(QVector3D *xAxis, QVector3D *yAxis, QVector3D *zAxis) const
`(deprecated)` void | getEulerAngles(float *pitch, float *yaw, float *roll) const

## Member Function Documentation

### `[deprecated]` void QQuaternion::getAxes(QVector3D *xAxis, QVector3D *yAxis, QVector3D *zAxis) const

This function is deprecated. We strongly advise against using it in new code.

Use toAxes() instead.

Returns the 3 orthonormal axes (xAxis, yAxis, zAxis) defining the quaternion.

All of xAxis, yAxis, and zAxis must be valid, non-`nullptr` pointers, otherwise the behavior is undefined.

See also fromAxes() and toRotationMatrix().

### `[deprecated]` void QQuaternion::getEulerAngles(float *pitch, float *yaw, float *roll) const

This function is deprecated. We strongly advise against using it in new code.

Use eulerAngles() instead.

Calculates roll, pitch, and yaw Euler angles (in degrees) that corresponds to this quaternion.

All of pitch, yaw, and roll must be valid, non-`nullptr` pointers, otherwise the behavior is undefined.

See also eulerAngles() and fromEulerAngles().